ATA_QC_COMPLETE(9)

NAME
ata_qc_complete - Complete an active ATA command

SYNOPSIS

void ata_qc_complete (struct ata_queued_cmd * qc);

ARGUMENTS

qc  Command to complete

DESCRIPTION

Indicate to the mid and upper layers that an ATA command has completed, with either an ok or not-ok status.

LOCKING

spin_lock_irqsave(host_set lock)

AUTHOR
Jeff Garzik.